# Interface AttachmentProperties

Properties that can be passed to the constructor of data/Attachment!Attachment.

interface AttachmentProperties {
contentType?: string;
id?: string;
size?: number;
title?: string;
url?: string;
}

#### Hierarchy (view full)

- EntityProperties
  - AttachmentProperties

#####
Index

### Properties

contentType?
id?
size?
title?
url?

##
Properties

### `Optional` contentType

contentType?: string

See data/Attachment!Attachment.contentType.

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityProperties.id

### `Optional` size

size?: number

See data/Attachment!Attachment.size.

### `Optional` title

title?: string

See data/Attachment!Attachment.title.

### `Optional` url

url?: string

See data/Attachment!Attachment.url.